Skip to main content
GET
/
admin
/
v1
/
items
List Memory Items
curl --request GET \
  --url https://api.example.com/admin/v1/items
{
  "data": {
    "items": [
      {
        "itemId": 123,
        "userId": "<string>",
        "agentId": "<string>",
        "memoryId": "<string>",
        "content": "<string>",
        "scope": "<string>",
        "category": "<string>",
        "vectorId": "<string>",
        "rawDataId": "<string>",
        "contentHash": "<string>",
        "occurredAt": "2023-11-07T05:31:56Z",
        "observedAt": "2023-11-07T05:31:56Z",
        "metadata": {},
        "type": "<string>",
        "rawDataType": "<string>",
        "sourceClient": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "page": {
      "page": 123,
      "pageSize": 123,
      "totalItems": 123,
      "totalPages": 123,
      "hasPrevious": true,
      "hasNext": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openmemind.com/llms.txt

Use this file to discover all available pages before exploring further.

The API Reference is under active development. Request and response schemas may change before a stable release.

Query Parameters

page
integer<int32>
default:1
Required range: x >= 1
pageSize
integer<int32>
default:20
Required range: 1 <= x <= 100
userId
string
agentId
string
scope
string
category
string
type
string
rawDataId
string

Response

200 - */*

OK

data
object